Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 25 Jun 2021 03:29:42 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns This is definitely my first and last time ordering from Centre Point website! 

The service is very very disappointing for such big store.
I made order on 30th May 2021 and I received wrong size. I called the call center and they told me that there is no solution to exchange it although it was not my mistake and the only way is to return and refund the amount in my credit website to order the item again. I was also afraid that the item will run out of stock and I wanted immediate exchange BUT even a promise for reserving the item I did not get by your team since it was center point error and not customer mistake. 

NOW it has been 2 weeks and i didn't receive any credit to my account and I was promised that center point process for refund to account credit it is just a few days!

I am very unsatisfied by the service. The mistake was from your end at first stage  receiving worng size and 2nd mistake not refunding me as per your process.

I am still waiting and my issue is not resolved YET!!

Order number 7465678430 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2725086